

const require_BaseRecord = require('../../../storage/BaseRecord.js');
const require_uuid = require('../../../utils/uuid.js');

//#region src/modules/generic-records/repository/GenericRecord.ts
var GenericRecord = class GenericRecord extends require_BaseRecord.BaseRecord {
	constructor(props) {
		super();
		this.type = GenericRecord.type;
		if (props) {
			this.id = props.id ?? require_uuid.uuid();
			this.createdAt = props.createdAt ?? /* @__PURE__ */ new Date();
			this.content = props.content;
			this._tags = props.tags ?? {};
		}
	}
	getTags() {
		return { ...this._tags };
	}
};
GenericRecord.type = "GenericRecord";

//#endregion
exports.GenericRecord = GenericRecord;